/* A V R - L I B C   U S A G E   -   V E R Y   I M P O R T A N T */
//#define AVR_LIBC_1		// avr-libc befor and until 20020526
#define AVR_LIBC_2		// avr-libc after 20020526


/* P A R T   D E L A Y */
#define DELAY_1MS_COUNT		0x07d0


/* P A R T   K E Y */
#define KEY_PORT		PORTA
#define KEY_PORT_DDR		DDRA
#define KEY_PORT_IN		PINA


/* P A R T   L E D */
#define LED_PORT		PORTB
#define LED_PORT_DDR		DDRB
#define LED_PORT_IN		PINB


/* P A R T   L C D */
#define LCD_PORT		PORTC
#define LCD_PORT_DDR		DDRC
#define LCD_PORT_IN		PINC
#define LCD_RS			0
#define LCD_RD			1
#define LCD_EN			2
#define LCD_UNUSED_BIT		3
/* only one of next COM options */
#define LCD_COM_POLLING
//#define LCD_COM_DELAY		// smaler code


/* P A R T   1 - W I R E */
#define OW_PORT			PORTD
#define OW_PORT_DDR		DDRD
#define OW_PORT_IN		PIND
#define OW_DQBIT		4
#define OW_DEVICES		2
